<?php


namespace App\Entities\AgendamentoPet;

use App\Utils\Builder;

class AgendamentoPetBuilder implements Builder
{
    protected $id_pet;
    protected $id_agendamento;

    /**
     * @param mixed $id_pet
     * @return AgendamentoPetBuilder
     */
    public function setIdPet($id_pet)
    {
        $this->id_pet = $id_pet;
        return $this;
    }

    /**
     * @param mixed $id_agendamento
     * @return AgendamentoPetBuilder
     */
    public function setIdAgendamento($id_agendamento)
    {
        $this->id_agendamento = $id_agendamento;
        return $this;
    }

    public function build() : AgendamentoPet
    {
        $agendamento_pet = new AgendamentoPet();
        if (isset($this->id_pet)) {
            $agendamento_pet->setIdPet($this->id_pet);
        }
        if (isset($this->id_agendamento)) {
            $agendamento_pet->setIdAgendamento($this->id_agendamento);
        }

        return $agendamento_pet;
    }

}